Bug 1255374 - Incorrect mvn() Provides and pom.xml data
Incorrect mvn() Provides and pom.xml data
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 07:56 EDT by Neal Gompa
Modified: 2016-07-25 08:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-25 08:20:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changes group id in pom.xml (1.54 KB, patch)
2015-08-25 03:07 EDT, Jozef Mlich
praiskup: review-
Details | Diff

  None (edit)
Description Neal Gompa 2015-08-20 07:56:21 EDT
Description of problem:
The pom.xml data and the mvn() Provides are incorrect. The group isn't "postgresql", but "org.postgresql" in the pom.xml from Maven Central Repository[0]. Also, those that register for the jdbc41 version[1] (which is what you're supposed to use for Java 7/8 software) don't get anything from our package because it's not registered as such. There may be other errors, but I noticed these right off the bat. 

[0]: http://repo1.maven.org/maven2/org/postgresql/postgresql/9.4-1200-jdbc4/postgresql-9.4-1200-jdbc4.pom
[1]: http://repo1.maven.org/maven2/org/postgresql/postgresql/9.4-1200-jdbc41/postgresql-9.4-1200-jdbc41.pom

Version-Release number of selected component (if applicable):
9.4.1200-1.fc22

How reproducible:
Always
Comment 1 Jozef Mlich 2015-08-25 03:07:11 EDT
Created attachment 1066751 [details]
changes group id in pom.xml

If I understand correctly, you want different group id in pom.xml. I would like to ask you for review of attached patch.

I am not sure how many users will be affected by this change.
Comment 2 Neal Gompa 2015-10-12 00:20:51 EDT
Sorry about taking so long to get to this, but yes this patch looks correct.
Comment 3 Neal Gompa 2015-10-12 00:22:30 EDT
Comment on attachment 1066751 [details]
changes group id in pom.xml

Oops, it wasn't for me to review. But it looks good to me, and I'm restoring the review request.
Comment 4 Pavel Raiskup 2016-01-25 07:32:01 EST
We are working on this with upstream.  Anybody interested/concerned  is
welcome to contribute to usptream discussion:
http://www.postgresql.org/message-id/CADK3HHLbiCyZnfxqwj=60L1kANhPuBFtv0kZ68Znubugj1gE7g@mail.gmail.com

Sorry for the delay, btw.  It's been long time postgresql-jdbc has not been
updated and it should happen soon.  Until that time -- I do not plan to change
the build system issues because the build system was completely reworked in
upstream and we need to adopt it first.
Comment 5 Fedora End Of Life 2016-07-19 13:35:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Pavel Raiskup 2016-07-20 04:44:48 EDT
Hi Neal, actual 'master' branch (will be soon built)  provides:

mvn(org.postgresql:postgresql:pom:) = 9.4.1209
mvn(postgresql:postgresql) = 9.4.1209
mvn(postgresql:postgresql:pom:) = 9.4.1209
osgi(org.postgresql.jdbc42) = 9.4.1209
postgresql-jdbc = 9.4.1209-3

Does that make sense?  It looks like we could close this bug, but I'm rather
asking.
Comment 7 Pavel Raiskup 2016-07-25 08:16:36 EDT
Comment on attachment 1066751 [details]
changes group id in pom.xml

Clearing 'review?' flag, the patch doesn't apply anymore.
Comment 8 Pavel Raiskup 2016-07-25 08:20:01 EDT
I'm closing this bug because I believe that the provides are fine now, at
least the 'org.postgresql.*' namespace is provided too - which is IMO
equivalent to effect of attachment 1066751 [details].

Feel free to reopen if I'm wrong.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.